## class OSGSIM_EXPORT osgSim::LightPoint

### Public Fields

bool _on
osg::Vec3 _position
osg::Vec4 _color
float _intensity
float _radius
osg::ref_ptr<Sector> _sector
osg::ref_ptr<BlinkSequence> _blinkSequence
BlendingMode _blendingMode

### Public Methods

LightPoint()
LightPoint(const osg::Vec3& position, const osg::Vec4& color)
LightPoint(bool on, const osg::Vec3& position, const osg::Vec4& color, float intensity=1.0f, float radius=1.0f, Sector* sector=0, BlinkSequence* blinkSequence=0, BlendingMode blendingMode=BLENDED)
LightPoint(const LightPoint& lp)
LightPoint& operator = (const LightPoint& lp)

### Public Members

enum BlendingMode

## Documentation

`enum BlendingMode`

`ADDITIVE`

`BLENDED`

`LightPoint()`

`LightPoint(const osg::Vec3& position, const osg::Vec4& color)`

`LightPoint(bool on, const osg::Vec3& position, const osg::Vec4& color, float intensity=1.0f, float radius=1.0f, Sector* sector=0, BlinkSequence* blinkSequence=0, BlendingMode blendingMode=BLENDED)`

`LightPoint(const LightPoint& lp)`

`LightPoint& operator = (const LightPoint& lp)`

`bool _on`

`osg::Vec3 _position`

`osg::Vec4 _color`

`float _intensity`

`float _radius`

`osg::ref_ptr<Sector> _sector`

`osg::ref_ptr<BlinkSequence> _blinkSequence`

`BlendingMode _blendingMode`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.